Bug 518417

Summary: Error message when unmounting encrypted USB disk
Product: [Fedora] Fedora Reporter: Tim Waugh <twaugh>
Component: DeviceKit-disksAssignee: David Zeuthen <davidz>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: davidz, mclasen
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-10-02 17:24:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tim Waugh 2009-08-20 10:43:17 UTC
Description of problem:
I have a USB disk which I use as encrypted back-up (LUKS with ext2).  Connecting it works perfectly, but when I right-click on the device icon in nautilus and select 'Unmount', a little while later I get this dialog:

==>
Unable to unmount Backup

Error locking luks device: timeout (10s) waiting for cleartext device to be removed
<==

Version-Release number of selected component (if applicable):
glib2-2.21.4-3.fc12.x86_64
nautilus-2.27.4-5.fc12.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Connect encrypted USB disk.
2.Unmount it.
  
Actual results:
Error dialog.

Expected results:
No error dialog.

Additional info:

Comment 1 Tim Waugh 2009-09-16 09:11:51 UTC
I am still seeing this with:

kernel-2.6.31-12.fc12.x86_64
udev-145-7.fc12.x86_64
DeviceKit-disks-006-1.fc12.x86_64
glib2-2.21.6-1.fc12.x86_64
nautilus-2.27.92-2.fc12.x86_64
device-mapper-1.02.36-3.fc12.x86_64

Comment 2 David Zeuthen 2009-10-02 17:24:39 UTC
I fixed a bug similar to this for DeviceKit-disks-007. Please reopen if it is still a problem. Thanks.

Comment 3 Tim Waugh 2009-10-05 16:01:15 UTC
Fixed with that.  Thanks!